Package com.emc.documentum.rest.model

# Class AtomContent

java.lang.Object
com.emc.documentum.rest.model.AtomContent

Direct Known Subclasses:
  `Compat71TypeAtomContentJson`

public class AtomContent extends Object
Atom content

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AtomContent()`
  Constructor
  `AtomContent(Object content)`
  Constructor
  `AtomContent(String type, String src)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getContent()`
  Get content object.
  `<T> T`
  `getContentAs(Class<T> clazz)`
  Get atom content object as the suggested data type.
  `String`
  `getSrc()`
  Get atom content source
  `String`
  `getType()`
  Get atom content type
  `boolean`
  `hasInlineObject()`
  Check if atom content has inline content object
  `void`
  `setContent(Object content)`
  Set content object
  `void`
  `setRaw(Map raw)`
  Set raw data for atom content object
  `void`
  `setSrc(String src)`
  Set atom content source
  `void`
  `setType(String type)`
  Set atom content type

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AtomContent

    public AtomContent()
    Constructor

  - ### AtomContent

    public AtomContent(String type, String src)
    Constructor
    Parameters:
      `type` - content type
      `src` - content source

  - ### AtomContent

    public AtomContent(Object content)
    Constructor
    Parameters:
      `content` - content object

- ## Method Details

  - ### getType

    public String getType()
    Get atom content type
    Returns:
      atom content type

  - ### setType

    public void setType(String type)
    Set atom content type
    Parameters:
      `type` - atom content type

  - ### getSrc

    public String getSrc()
    Get atom content source
    Returns:
      atom content source

  - ### setSrc

    public void setSrc(String src)
    Set atom content source
    Parameters:
      `src` - atom content source

  - ### getContent

    public Object getContent()
    Get content object. When an atom content object is read from inline JSON feed, the content is null and `getContentAs(Class)` should be used instead.
    Returns:
      atom content object
    See Also:
      - `getContentAs(Class)`

  - ### setContent

    public void setContent(Object content)
    Set content object
    Parameters:
      `content` - atom content object

  - ### hasInlineObject

    public boolean hasInlineObject()
    Check if atom content has inline content object
    Returns:
      `true` if the entry has the inline content

  - ### setRaw

    public void setRaw(Map raw)
    Set raw data for atom content object
    Parameters:
      `raw` - raw data

  - ### getContentAs

    public <T> T getContentAs(Class<T> clazz) throws com.emc.documentum.rest.parser.AnnotationParseException
    Get atom content object as the suggested data type.
    Type Parameters:
      `T` - serializable type
    Parameters:
      `clazz` - the suggested data type
    Returns:
      atom content object
    Throws:
      `com.emc.documentum.rest.parser.AnnotationParseException` - when the content can not be converted to the suggested data type
    See Also:
      - `getContent()`